using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text.Json.Serialization;

namespace PetCompanion.Models
{
    public class Inventory
    {
        [Key, ForeignKey("Pet")]
        public string PetId { get; set; }
        [JsonIgnore]
        public virtual Pet Pet { get; set; }
        public List<int> Items { get; set; } = new List<int>();
        public int Capacity { get; set; } = 20;
    }
}
